require 'laa/apply_for_legal_aid/api/version'
require 'laa/apply_for_legal_aid/api/core_ext/array'
require 'laa/apply_for_legal_aid/api/configuration'
require 'laa/apply_for_legal_aid/api/client'

module Laa
  module ApplyForLegalAid
    module Api
      extend self

      def configuration
        @configuration ||= Configuration.new
      end
      alias config configuration

      def configure
        yield(configuration) if block_given?
        configuration
      end

      def client
        Client.new(configuration.host)
      end
    end
  end
end
