require 'laa/apply_for_legal_aid/api/requests/addresses'
require 'laa/apply_for_legal_aid/api/requests/applications'
require 'laa/apply_for_legal_aid/api/requests/applicants'
require 'laa/apply_for_legal_aid/api/requests/proceeding_types'

module Laa
  module ApplyForLegalAid
    module Api
      module Requests
        def self.included(base)
          base.include(Addresses)
          base.include(Applications)
          base.include(Applicants)
          base.include(ProceedingTypes)
        end
      end
    end
  end
end
